cURL
curl --request PUT \
--url https://api.example.com/api/v1/vm/{vm_id}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_b64": "<string>",
"path": "<string>",
"create_dirs": true,
"mode": 1
}
'import requests
url = "https://api.example.com/api/v1/vm/{vm_id}/files"
payload = {
"content_b64": "<string>",
"path": "<string>",
"create_dirs": True,
"mode": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content_b64: '<string>', path: '<string>', create_dirs: true, mode: 1})
};
fetch('https://api.example.com/api/v1/vm/{vm_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"success": true
}{
"error": "<string>",
"success": true
}{
"error": "<string>",
"success": true
}PUT
/
api
/
v1
/
vm
/
{vm_id}
/
files
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
VM ID
Body
application/json
Request body for PUT /api/vm/{vm_id}/files
Response
File written successfully
⌘I